[project]
organization = "de.uni-tuebingen.neuroetho"
copyright = "(c) 2020, Neuroethology lab, Uni Tuebingen"

[tool.poetry]
name = "pyrelacs"
version = "0.1.0"
description = "Relaxed ELectrophysiology Acquisition, Control, and Stimulation in python"
authors = ["wendtalexander <wendtalexander@protonmail.com>"]
repository = "https://whale.am28.uni-tuebingen.de/git/awendt/pyrelacs"
readme = "README.md"
license = "MIT"
classifiers = [
    "Topic :: Scientific/Engineering",
    "Intended Audience :: Science/Research",
    "Intended Audience :: End Users/Desktop",
]
include = [
    { path = "pyproject.toml" },
    "pyrelacs/resources.py"
]

[tool.poetry.dependencies]
python = "^3.10"
uldaq = "^1.2.3"
typer = "^0.12.5"
matplotlib = "^3.9.2"
numpy = "^1.9"
pyqt6 = "^6.7.1"
tomlkit = "^0.13.2"
scipy = "^1.14.1"
nixio = "^1.5.3"
pyqtgraph = "^0.13.7"

[tool.poetry.scripts]
pyrelacs = "pyrelacs.app:main"

[tool.poetry.group.dev.dependencies]
ipython = "^8.27.0"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"
